#ifndef _GENERAL_H
#define _GENERAL_H

/*** ASSERTIONS ***/
#define MY_ASSERT(cond) \
        if (!(cond)) { \
                fprintf (stderr, "*** ASSERTION FAILED at " __FILE__ ":%d: " # cond "\n", __LINE__); \
                exit (9); \
        }

#define my_free(p) \
	if (p) { \
		free (p); \
		p = NULL; \
	}

char *strtrimr (char *s);

#endif
